#ifndef SDLTIMER_H
#define SDLTIMER_H

#include "SDL_System.h"

#include "SDL/SDL.h"

typedef struct
{
	UINT message;
	UINT period;
	SDL_TimerID timerID;
	SDLSystem* system;
} SDLTimer;

void SDLTimer_addTimer( SDLTimer* timer );
SDLTimer* SDLTimer_removeTimer( UINT message );
Uint32 SDLTimer_callback(Uint32 interval, void* param);

#endif
