#ifndef SDL_draw_h
#define SDL_draw_h

#include "SDL/SDL.h"

/* The goal of this method is not insane speed, but instead reasonably good quality */
void SDL_StretchSurface(SDL_Surface* source, SDL_Surface* target, Uint32 x, Uint32 y, Uint32 width, Uint32 height);

/* Update fadeFrom with crossfade to become equal to fadeTo */
void SDL_Crossfade(SDL_Surface *fadeTo, SDL_Surface *fadeFrom, Uint32 duration);

Uint32 SDL_getColor(SDL_Surface* surface, Uint32 x, Uint32 y);
void SDL_setColor(SDL_Surface* surface, Uint32 x, Uint32 y, Uint32 colour);

#endif
